package com.engine.salary.service;

import com.engine.salary.entity.salaryitem.po.SysSalaryItemPO;

import java.util.Collection;
import java.util.List;

/**
 * 系统薪资项目
 * <p>Copyright: Copyright (c) 2022</p>
 * <p>Company: 泛微软件</p>
 *
 * @author qiantao
 * @version 1.0
 **/
public interface SysSalaryItemService {

    /**
     * 根据主键id查询系统薪资项目
     *
     * @param id
     * @return
     */
    SysSalaryItemPO getById(Long id);

    /**
     * 根据主键id查询系统薪资项目
     *
     * @param ids
     * @return
     */
    List<SysSalaryItemPO> listByIds(Collection<Long> ids);

    /**
     * 根据名称精确匹配查询系统薪资项目
     *
     * @param name 名称
     * @return
     */
    List<SysSalaryItemPO> listByName(String name);

    /**
     * 根据参数查询系统薪资项目（分页）
     *
     * @param searchParam 查询参数
     * @return
     */
//    Page<SysSalaryItemPO> listPageByParam(SysSalaryItemSearchParam searchParam);

    /**
     * 添加系统薪资项目到自定义薪资项目列表中
     *
     * @param ids
     */
    void add2SalaryItem(Collection<Long> ids);

    List<SysSalaryItemPO> listAll();

    List<SysSalaryItemPO> listSome(SysSalaryItemPO po);

    List<SysSalaryItemPO> listLikeName(SysSalaryItemPO po);
}
